package com.poo.agusa.usmroute;

import android.content.Intent;
import android.graphics.drawable.Drawable;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.ImageView;
import android.widget.RelativeLayout;

import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

import com.bumptech.glide.Glide;

public class Mapa_general extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_mapa_general);

        ImageView imageView = (ImageView) findViewById(R.id.Mapa_general);

        Glide.with(this).load(getImage("mapa_general")).into(imageView);

        String last_dir = ""; // Este es el nombre de la ruta que conecta este view con el siguiente.
        ArrayList<String> arr = Ruta.obtenerDirecciones();
        for (String s : arr)
        {
            int id = Main.getResId(s, R.id.class );
            if (id>-1) {

                ImageView v = findViewById(id);
                if(v != null)
                    v.setVisibility(View.VISIBLE);
                else {
                    Log.d("USM",s);
                    last_dir = s;
                    break;
                }
            }
        }

        final String siguiente_activity = Main.siguienteLayout(last_dir);
        if(siguiente_activity == null)
            return;

        ImageView img = findViewById(R.id.Mapa_general);
        img.setOnClickListener(new View.OnClickListener() {
            //@Override
            public void onClick(View v) {
                Intent intent = new Intent();
                intent.setClassName(getPackageName(),getPackageName()+siguiente_activity);
                startActivity(intent);
            }
        });

    }

    public int getImage(String imageName) {

        int drawableResourceId = this.getResources().getIdentifier(imageName, "drawable", this.getPackageName());

        return drawableResourceId;
    }

    public void go_back(View view){
        startActivity(new Intent(Mapa_general.this,Main.class));
    }
}
