package com.poo.agusa.usmroute;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.ImageView;

import com.bumptech.glide.Glide;

import java.util.ArrayList;

public class mapa_p1 extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_mapa_p1);

        ImageView imageView = (ImageView) findViewById(R.id.imageView);

        Glide.with(this).load(getImage("edifp_piso1")).into(imageView);

        String last_dir = ""; // Este es el nombre de la ruta que conecta este view con el siguiente.
        boolean add = false;
        ArrayList<String> arr = Ruta.obtenerDirecciones();
        for (String s : arr)
        {
            int id = Main.getResId(s, R.id.class );
            if (id>-1) {

                ImageView v = findViewById(id);
                if(v != null) {
                    v.setVisibility(View.VISIBLE);
                    add = true;
                }else if (add) {
                    Log.d("USM",s);
                    last_dir = s;
                    break;
                }
            }
        }

        final String siguiente_activity = Main.siguienteLayout(last_dir);
        if(siguiente_activity == null)
            return;

        ImageView img = findViewById(R.id.imageView);
        img.setOnClickListener(new View.OnClickListener() {
            //@Override
            public void onClick(View v) {
                Intent intent = new Intent();
                intent.setClassName(getPackageName(),getPackageName()+siguiente_activity);
                startActivity(intent);
            }
        });
    }

    public int getImage(String imageName) {

        int drawableResourceId = this.getResources().getIdentifier(imageName, "drawable", this.getPackageName());

        return drawableResourceId;
    }

    public void go_back(View view){
        startActivity(new Intent(mapa_p1.this,Main.class));
    }
}
